Loading...
Searching...
No Matches
PatchCoord Struct Reference

Coordinates set on a patch table. More...

`#include <types.h>`

## Public Member Functions

| PatchCoord (Far::PatchTable::PatchHandle handleArg, float sArg, float tArg)
| Constructor.
| PatchCoord ()

## Public Attributes

Far::PatchTable::PatchHandle | handle
| patch handle
float | s
float | t
| parametric location on patch

## Detailed Description

Coordinates set on a patch table.

XXX: this class may be moved into Far

Definition at line 42 of file types.h.

## Constructor & Destructor Documentation

## PatchCoord() [1/2]

PatchCoord | ( | Far::PatchTable::PatchHandle | handleArg,
|  | float | sArg,
|  | float | tArg )

inline

Constructor.

Parameters

  handleArg | patch handle
  sArg | parametric location on the patch
  tArg | parametric location on the patch

Definition at line 53 of file types.h.

## PatchCoord() [2/2]

PatchCoord | ( |  | ) |

inline

Definition at line 56 of file types.h.

## Member Data Documentation

## handle

Far::PatchTable::PatchHandle handle

patch handle

Definition at line 62 of file types.h.

## s

float s

Definition at line 63 of file types.h.

## t

float t

parametric location on patch

Definition at line 63 of file types.h.

The documentation for this struct was generated from the following file:

- opensubdiv/osd/types.h